SystemOrganization addCategory: #'JQWidgetBox-JQGrid-Dev-Example'!
SystemOrganization addCategory: #'JQWidgetBox-JQGrid-Dev-Tests'!

JQWidgetExample subclass: #JQGridExample
	instanceVariableNames: 'allData'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQWidgetBox-JQGrid-Dev-Example'!

!JQGridExample classSide methodsFor: 'accessing' stamp: 'BartGauquie 2/14/2010 12:31'!
description
	^ 'JQuery jqGrid'! !

!JQGridExample classSide methodsFor: 'accessing' stamp: 'BartGauquie 2/14/2010 12:31'!
shortName
	^'jqGrid'! !

!JQGridExample methodsFor: 'private-actions' stamp: 'BartGauquie 2/14/2010 11:50'!
doSearch: aSearchRequest using: jqGridColumns
	|filteredData sortedData pagedAndSortedData jqSortColumn|
	jqSortColumn := jqGridColumns columnForSearchRequest: aSearchRequest.
	filteredData := allData copy.
	aSearchRequest filterCriteriaDo: 
		[:aFilterCrit|
			filteredData 
				removeAllSuchThat: 
					[:each|
						((aFilterCrit jqGridColumn dataValueFor: each)
							perform: aFilterCrit operation with: aFilterCrit filterValue) not]].
	sortedData := 
		filteredData asSortedCollection:
			[:a :b| 
				((jqSortColumn dataValueFor: a) <= (jqSortColumn dataValueFor: b))
					xor: aSearchRequest isSortDescending].
	pagedAndSortedData := sortedData
		copyFrom: aSearchRequest startElementIndex 
		to: ((aSearchRequest endElementIndex) min: filteredData size).
	^JQGridSearchResponse new
		page: aSearchRequest pageNumber;
		totalNumberOfPages: (filteredData size / aSearchRequest numberOfRowsPerPage);
		totalNumberOfRecords: filteredData size;
		rowContents: 
			(pagedAndSortedData 
					collect: [:eachInvoice|
						JQGridRowContent new
							id: eachInvoice id;
							rowObject: eachInvoice])! !

!JQGridExample methodsFor: 'initialization' stamp: 'BartGauquie 2/14/2010 11:53'!
initialize
	super initialize.
	allData := OrderedCollection new.
	
	1 to: 1000 do: [:index|
		|amount tax|
		amount := 1000.00 + ((50 atRandom) * 100.00).
		tax := amount * 0.21.
		allData add: 
			(JQGridExampleInvoice new
				id: index;
				date: ((Date fromString: '01.01.1998') addDays: 3650 atRandom);
				invoiceName: 'Client ', (50 atRandom asString);
				amount: amount;
				tax: tax;
				total: amount + tax;
				note: 'somenote ', index asString;
				yourself)].
	
	

	
	! !

!JQGridExample methodsFor: 'rendering' stamp: 'BartGauquie 2/14/2010 12:25'!
renderContentOn: html
	self renderIntroductionOn: html.
	self renderIntegrationWorkSoFar: html.
	self renderExampleTableOn: html.
! !

!JQGridExample methodsFor: 'rendering' stamp: 'BartGauquie 2/14/2010 12:24'!
renderExampleTableOn: html
	html heading level: 4; with: 'Example'.
	html table 
		id:'grid'; 
		script: (html jQuery this grid
			searchCallback: [:aSearchRequest :jqGridColumns| self doSearch: aSearchRequest using: jqGridColumns];
			columns: 
				(JQGridColumns new
					add: ((JQGridColumn id: 'id' label: 'Inv No.' selector: #id) width: 70; 
							parseBlock: [:aString|aString asInteger]; yourself);
					add: ((JQGridColumn id: 'invdate' label: 'Date' selector: #date) width: 110; 
							formatBlock: [:each|each asString]; parseBlock: [:aString|Date fromString: aString];yourself);
					add: ((JQGridColumn id: 'name' label: 'Client' selector: #invoiceName) width: 100; yourself);
					add: ((JQGridColumn id: 'amount' label: 'Amount' selector: #amount) width: 100; 
						alignRight; parseBlock:[:aString|aString asNumber]; yourself);
					add: ((JQGridColumn id: 'tax' label: 'Tax' selector: #tax) width: 80; 
						alignRight; parseBlock:[:aString|aString asNumber]; yourself);
					add: ((JQGridColumn id: 'total' label: 'Total' selector: #total) width: 80; 
						alignRight; parseBlock:[:aString|aString asNumber]; yourself);
					add: ((JQGridColumn id: 'note' label: 'Notes' selector: [:each|each note]) width: 150; sortable: false; yourself);
					yourself);
			altRows: true;
			rowNum: 20;
			rowList: {20. 50};
			pagerId: 'pager';
			sortname: 'id';
			toolbarSearch;
			caption: 'JSON Example');
		with:''.
	html div id:'pager'; with: ''.
! !

!JQGridExample methodsFor: 'rendering' stamp: 'BartGauquie 2/14/2010 12:27'!
renderIntegrationWorkSoFar: html	
	html heading level: 4; with: 'Integration work so far'.
	html unorderedList with: [ 
		html listItem: 'Viewing, formatting and sorting data using Json callback on server'.
		html listItem: 'Toolbar search with automatic conversion of filtercriteria'.]
! !

!JQGridExample methodsFor: 'rendering' stamp: 'BartGauquie 2/14/2010 12:24'!
renderIntroductionOn: html
	html heading level: 3; with: 'jqGrid'.
	html paragraph: 'A jQuery plugin that provides solutions for representing and manipulating tabular data on the web.'. 
	html heading level: 4; with: 'original jqGrid documentation and download'.
	html paragraph: [
		html unorderedList: [
			html listItem: [html anchor url: 'http://www.trirand.com/jqgridwiki/doku.php'; with: 'Wiki Documentation'].
			html listItem: [html anchor url: 'http://trirand.com/blog/jqgrid/jqgrid.html'; with: 'Demo Page'].
			html listItem: [html anchor url: 'http://www.trirand.com/blog/?page_id=6'; with: 'Download'].
			]
		].
	
! !

!JQGridExample methodsFor: 'updating' stamp: 'BartGauquie 2/2/2010 21:28'!
updateRoot: anHtmlRoot
	super updateRoot: anHtmlRoot.
	JQUiLightnessTheme default updateRoot: anHtmlRoot.
	anHtmlRoot stylesheet url: self library / #uijqgridCss.
	anHtmlRoot javascript url: self library / #gridlocaleenJs.
	anHtmlRoot javascript url: self library / #jqueryjqGridminJs.
	
	! !

TestCase subclass: #JQGridColumnTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQWidgetBox-JQGrid-Dev-Tests'!

!JQGridColumnTest methodsFor: 'tests' stamp: 'BartGauquie 2/3/2010 20:53'!
testColumnModel
	self 
		assert: (Dictionary newFrom: {'name'->'id'.'index'->'id'})
		equals: (JQGridColumn id: 'id' label: 'label' selector: #aSelector) createColumnModel.
	
	! !

!JQGridColumnTest methodsFor: 'tests' stamp: 'BartGauquie 2/3/2010 21:07'!
testColumnModelWithAlignment
	self 
		assert: (Dictionary newFrom: {'name'->'id'.'index'->'id'.'align'->'left'})
		equals: ((JQGridColumn id: 'id' label: 'label' selector: #aSelector) alignLeft) createColumnModel.
	self 
		assert: (Dictionary newFrom: {'name'->'id'.'index'->'id'.'align'->'center'})
		equals: ((JQGridColumn id: 'id' label: 'label' selector: #aSelector) alignCenter) createColumnModel.
	self 
		assert: (Dictionary newFrom: {'name'->'id'.'index'->'id'.'align'->'right'})
		equals: ((JQGridColumn id: 'id' label: 'label' selector: #aSelector) alignRight) createColumnModel.
	
	! !

!JQGridColumnTest methodsFor: 'tests' stamp: 'BartGauquie 2/3/2010 20:53'!
testColumnModelWithSortId
	self 
		assert: (Dictionary newFrom: {'name'->'id'.'index'->'sortId'})
		equals: ((JQGridColumn id: 'id' label: 'label' selector: #aSelector) sortId: 'sortId') createColumnModel.
	
	! !

!JQGridColumnTest methodsFor: 'tests' stamp: 'BartGauquie 2/3/2010 21:09'!
testColumnModelWithSortable
	self 
		assert: (Dictionary newFrom: {'name'->'id'.'index'->'id'.'sortable'->true})
		equals: ((JQGridColumn id: 'id' label: 'label' selector: #aSelector) sortable: true) createColumnModel.
	self 
		assert: (Dictionary newFrom: {'name'->'id'.'index'->'id'.'sortable'->false})
		equals: ((JQGridColumn id: 'id' label: 'label' selector: #aSelector) sortable: false) createColumnModel.	
	! !

!JQGridColumnTest methodsFor: 'tests' stamp: 'BartGauquie 2/3/2010 20:55'!
testColumnModelWithWidth
	self 
		assert: (Dictionary newFrom: {'name'->'id'.'index'->'id'.'width'->55})
		equals: ((JQGridColumn id: 'id' label: 'label' selector: #aSelector) width: 55) createColumnModel.
	
	! !

TestCase subclass: #JQGridColumnsTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQWidgetBox-JQGrid-Dev-Tests'!

!JQGridColumnsTest methodsFor: 'tests' stamp: 'BartGauquie 2/3/2010 20:44'!
testColumnModel
	|jqGridColumns|
	jqGridColumns := JQGridColumns new.
	
	jqGridColumns add: (JQGridColumn id: 'id1' label: 'label1' selector: #aSelector1).
	jqGridColumns add: (JQGridColumn id: 'id2' label: 'label2' selector: #aSelector2).
	jqGridColumns add: (JQGridColumn id: 'id3' label: 'label3' selector: #aSelector3).
	
	self 
		assert: (OrderedCollection 
					with: (Dictionary newFrom: {'name'->'id1'.'index'->'id1'})
					with: (Dictionary newFrom: {'name'->'id2'.'index'->'id2'}) 
					with: (Dictionary newFrom: {'name'->'id3'.'index'->'id3'}))
		equals: jqGridColumns createColumnModel.! !

!JQGridColumnsTest methodsFor: 'tests' stamp: 'BartGauquie 2/3/2010 20:36'!
testColumnNames
	|jqGridColumns|
	jqGridColumns := JQGridColumns new.
	
	jqGridColumns add: (JQGridColumn id: 'id1' label: 'label1' selector: #aSelector1).
	jqGridColumns add: (JQGridColumn id: 'id2' label: 'label2' selector: #aSelector2).
	jqGridColumns add: (JQGridColumn id: 'id3' label: 'label3' selector: #aSelector3).
	
	self 
		assert: (OrderedCollection with: 'label1' with: 'label2' with: 'label3')
		equals: jqGridColumns createColumnNames.! !

!JQGridColumnsTest methodsFor: 'tests' stamp: 'BartGauquie 2/14/2010 11:55'!
testDataValuesFor
	|jqGridColumns jqGridMockObject|
	jqGridColumns := JQGridColumns new.
	jqGridMockObject := 
		JQGridMockObject new
			aSelector1: 'aSelector1';
			aSelector2: 'aSelector2';
			aSelector3: 'aSelector3';
			yourself.
	
	jqGridColumns add: (JQGridColumn id: 'id1' label: 'label1' selector: #aSelector1).
	jqGridColumns add: ((JQGridColumn id: 'id2' label: 'label2' selector: #aSelector2) formatBlock: [:each|each asUppercase]).
	jqGridColumns add: (JQGridColumn id: 'id3' label: 'label3' selector: #aSelector3).
	jqGridColumns add: (JQGridColumn id: 'id4' label: 'label4' selector: [:anObject|anObject aSelector1, ' test ', anObject aSelector2]).
	
	self 
		assert: (OrderedCollection with: 'aSelector1' with: 'ASELECTOR2' with: 'aSelector3' with: 'aSelector1 test aSelector2')
		equals: (jqGridColumns createDataValuesFor: jqGridMockObject).! !

!JQGridColumnsTest methodsFor: 'tests' stamp: 'BartGauquie 2/7/2010 14:39'!
testJQGridColumnForSearchRequest
	|jqGridColumns jqGridColumn jqGridSearchRequest|
	jqGridColumns := JQGridColumns new.
	
	jqGridColumn := JQGridColumn id: 'id2' label: 'label2' selector: #aSelector2.
	
	jqGridColumns add: (JQGridColumn id: 'id1' label: 'label1' selector: #aSelector1).
	jqGridColumns add: jqGridColumn.
	jqGridColumns add: (JQGridColumn id: 'id3' label: 'label3' selector: #aSelector3).
	
	jqGridSearchRequest :=
		JQGridSearchRequest new
			sortId: 'id2';
			yourself.
			
	self 
		assert: jqGridColumn
		equals: (jqGridColumns columnForSearchRequest: jqGridSearchRequest)! !

TestCase subclass: #JQGridRowContentTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQWidgetBox-JQGrid-Dev-Tests'!

!JQGridRowContentTest methodsFor: 'tests' stamp: 'BartGauquie 2/7/2010 11:07'!
testCreateJson
	|jqGridColumns jqGridMockObject jqGridRowContent |
	jqGridColumns := JQGridColumns new.
	jqGridMockObject := 
		JQGridMockObject new
			aSelector1: 'aSelector1';
			aSelector2: 'aSelector2';
			aSelector3: 'aSelector3';
			yourself.
	jqGridRowContent :=
		JQGridRowContent new id: 'anId'; rowObject: jqGridMockObject.
	
	jqGridColumns add: (JQGridColumn id: 'id1' label: 'label1' selector: #aSelector1).
	jqGridColumns add: (JQGridColumn id: 'id2' label: 'label2' selector: #aSelector2).
	
	jqGridRowContent jqGridColumns: jqGridColumns.
	
	self 
		assert: 
			'{"cell":["aSelector1","aSelector2"],"id":"anId"}'
		equals: 	
			jqGridRowContent asJson.! !

TestCase subclass: #JQGridSearchRequestTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQWidgetBox-JQGrid-Dev-Tests'!

!JQGridSearchRequestTest methodsFor: 'helper' stamp: 'BartGauquie 2/7/2010 12:28'!
page: aPageNumber numberOfRows: numberOfRowsPerPage
	^JQGridSearchRequest new pageNumber: aPageNumber; numberOfRowsPerPage: numberOfRowsPerPage; yourself.
			! !

!JQGridSearchRequestTest methodsFor: 'tests' stamp: 'BartGauquie 2/7/2010 12:30'!
testEndElementIndex
	self assert: 10 equals: (self page: 1 numberOfRows: 10) endElementIndex.
	self assert: 20 equals: (self page: 2 numberOfRows: 10) endElementIndex.
	self assert: 150 equals: (self page: 3 numberOfRows: 50) endElementIndex.
			! !

!JQGridSearchRequestTest methodsFor: 'tests' stamp: 'BartGauquie 2/12/2010 19:38'!
testParseFilteringRequestFromWARequest
	| jqGridSearchRequest filterCriteria jqGridColumn1 jqGridColumn2 jqGridColumn3|
	jqGridColumn1 := JQGridColumn id: 'aFieldId1'
		label: 'Label'
		selector: #aSelector1.
	jqGridColumn2 := JQGridColumn id: 'aFieldId2'
		label: 'Label2'
		selector: #aSelector2.
	jqGridColumn3 := (JQGridColumn id: 'aFieldId3'
		label: 'Label3'
		selector: #aSelector3)
		parseBlock: [:aString|aString asNumber].
	jqGridSearchRequest := JQGridSearchRequest parseFromWARequest:
			((WARequest new)
				setPostFields:
						(Dictionary newFrom:
									{'page' -> '1'.
									'rows' -> '12'.
									'sidx' -> 'sortId'.
									'sord' -> 'asc'.
									'_search' -> 'true'.
									'aFieldId1' -> 'SomeValue1'.
									'aFieldId2' -> 'SomeValue2'.
									'aFieldId3' -> '12'});
				yourself)
		using:
			((JQGridColumns new)
				add: jqGridColumn1;
				add: jqGridColumn2;
				add: jqGridColumn3;
				add: 	(JQGridColumn id: 'aFieldId4'
								label: 'Label4'
								selector: #aSelector4);
				yourself).
	self should: jqGridSearchRequest hasFiltering.
	filterCriteria := jqGridSearchRequest filterCriteria.
	self assert: 3 equals: filterCriteria size.
	self assert: jqGridColumn1 equals: filterCriteria first jqGridColumn.
	self assert: #= equals: filterCriteria first operation.
	self assert: 'SomeValue1' equals: filterCriteria first filterValue.
	self assert: jqGridColumn2 equals: filterCriteria second jqGridColumn.
	self assert: #= equals: filterCriteria second operation.
	self assert: 'SomeValue2' equals: filterCriteria second filterValue.	
	self assert: jqGridColumn3 equals: filterCriteria third jqGridColumn.
	self assert: #= equals: filterCriteria third operation.
	self assert: 12 equals: filterCriteria third filterValue.	! !

!JQGridSearchRequestTest methodsFor: 'tests' stamp: 'BartGauquie 2/14/2010 11:19'!
testParseFilteringRequestFromWARequestUsingAParseBlockThatReturnsNil
	| jqGridSearchRequest filterCriteria jqGridColumn jqGridColumn2 |
	jqGridColumn := (JQGridColumn id: 'aFieldId1'
		label: 'Label'
		selector: #aSelector1)
		parseBlock: [:aString| nil].
	jqGridColumn2 := JQGridColumn id: 'aFieldId2'
		label: 'Label2'
		selector: #aSelector2.
	jqGridSearchRequest := JQGridSearchRequest parseFromWARequest:
			((WARequest new)
				setPostFields:
						(Dictionary newFrom:
									{'page' -> '1'.
									'rows' -> '12'.
									'sidx' -> 'sortId'.
									'sord' -> 'asc'.
									'_search' -> 'true'.
									'aFieldId1' -> 'SomeValue1'.
									'aFieldId2' -> 'SomeValue2'});
				yourself)
		using:
			((JQGridColumns new)
				add: jqGridColumn;
				add: jqGridColumn2;
				yourself).
	self should: jqGridSearchRequest hasFiltering.
	filterCriteria := jqGridSearchRequest filterCriteria.
	self assert: 1 equals: filterCriteria size.
	self assert: jqGridColumn2 equals: filterCriteria first jqGridColumn.! !

!JQGridSearchRequestTest methodsFor: 'tests' stamp: 'BartGauquie 2/14/2010 10:34'!
testParseFilteringRequestFromWARequestUsingAParseBlockThatThrowsAnException
	| jqGridSearchRequest filterCriteria jqGridColumn jqGridColumn2 |
	jqGridColumn := (JQGridColumn id: 'aFieldId1'
		label: 'Label'
		selector: #aSelector1)
		parseBlock: [:aString| self error: 'can not parse'].
	jqGridColumn2 := JQGridColumn id: 'aFieldId2'
		label: 'Label2'
		selector: #aSelector2.
	jqGridSearchRequest := JQGridSearchRequest parseFromWARequest:
			((WARequest new)
				setPostFields:
						(Dictionary newFrom:
									{'page' -> '1'.
									'rows' -> '12'.
									'sidx' -> 'sortId'.
									'sord' -> 'asc'.
									'_search' -> 'true'.
									'aFieldId1' -> 'SomeValue1'.
									'aFieldId2' -> 'SomeValue2'});
				yourself)
		using:
			((JQGridColumns new)
				add: jqGridColumn;
				add: jqGridColumn2;
				yourself).
	self should: jqGridSearchRequest hasFiltering.
	filterCriteria := jqGridSearchRequest filterCriteria.
	self assert: 1 equals: filterCriteria size.
	self assert: jqGridColumn2 equals: filterCriteria first jqGridColumn.! !

!JQGridSearchRequestTest methodsFor: 'tests' stamp: 'BartGauquie 2/10/2010 20:55'!
testParseFilteringRequestFromWARequestWithoutAnyFilterFieldsThrowsError
	self should:
			[JQGridSearchRequest 
				parseFromWARequest: 
					(WARequest new
						setPostFields: (Dictionary newFrom: {'page'->'1'.'rows'->'12'.'sidx'->'sortId'.'sord'->'asc'.'_search'->'true'});
						yourself)
				using: JQGridColumns new] 
		raise: Error.

	
	
	
	
				! !

!JQGridSearchRequestTest methodsFor: 'tests' stamp: 'BartGauquie 2/10/2010 20:53'!
testParseNonFilteringRequestFromWARequest
	|jqGridSearchRequest|
	jqGridSearchRequest := 
		JQGridSearchRequest 
			parseFromWARequest: 
				(WARequest new
				setPostFields: (Dictionary newFrom: {'page'->'1'.'rows'->'12'.'sidx'->'sortId'.'sord'->'asc'.'_search'->'false'});
				yourself)
			using: JQGridColumns new.
	self assert: 1 equals: jqGridSearchRequest pageNumber.
	self assert: 12 equals: jqGridSearchRequest numberOfRowsPerPage.
	self assert: 'sortId' equals: jqGridSearchRequest sortId.
	self should: jqGridSearchRequest isSortAscending.
	self shouldnt: jqGridSearchRequest isSortDescending.
	self shouldnt: jqGridSearchRequest hasFiltering.

	
	
	
	
				! !

!JQGridSearchRequestTest methodsFor: 'tests' stamp: 'BartGauquie 2/7/2010 12:32'!
testStartElementIndex
	self assert: 1 equals: (self page: 1 numberOfRows: 10) startElementIndex.
	self assert: 11 equals: (self page: 2 numberOfRows: 10) startElementIndex.
	self assert: 101 equals: (self page: 3 numberOfRows: 50) startElementIndex.
	
			! !

TestCase subclass: #JQGridSearchResponseTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQWidgetBox-JQGrid-Dev-Tests'!

!JQGridSearchResponseTest methodsFor: 'tests' stamp: 'BartGauquie 2/7/2010 12:11'!
testCreateJson
	|jqGridColumns jqGridMockObject jqGridRowContent jqGridSearchResponse|
	jqGridColumns := JQGridColumns new.
	jqGridMockObject := 
		JQGridMockObject new
			aSelector1: 'aSelector1';
			aSelector2: 'aSelector2';
			aSelector3: 'aSelector3';
			yourself.
	jqGridRowContent :=
		JQGridRowContent new id: 'anId'; rowObject: jqGridMockObject.
	
	jqGridColumns add: (JQGridColumn id: 'id1' label: 'label1' selector: #aSelector1).
	jqGridColumns add: (JQGridColumn id: 'id2' label: 'label2' selector: #aSelector2).
	
	jqGridSearchResponse := 
		JQGridSearchResponse new
			totalNumberOfPages: 10;
			totalNumberOfRecords: 1800;
			page: 12;
			rowContents: (OrderedCollection with: jqGridRowContent);
			yourself.
	
	jqGridSearchResponse jqGridColumns: jqGridColumns.
	
	self 
		assert: 
			'{"page":12,"total":10,"rows":[{"cell":["aSelector1","aSelector2"],"id":"anId"}],"records":1800}'
		equals: 	
			jqGridSearchResponse asJson.! !

!JQGridSearchResponseTest methodsFor: 'tests' stamp: 'BartGauquie 2/7/2010 14:51'!
testTotalNumberOfPagesCeils
	self 
		assert: 3
		equals: ((JQGridSearchResponse new totalNumberOfPages: 5/2; yourself) totalNumberOfPages)! !

Object subclass: #JQGridExampleInvoice
	instanceVariableNames: 'id date invoiceName amount tax total note'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQWidgetBox-JQGrid-Dev-Example'!

!JQGridExampleInvoice methodsFor: 'accessing' stamp: 'BartGauquie 2/5/2010 21:13'!
amount
	^ amount! !

!JQGridExampleInvoice methodsFor: 'accessing' stamp: 'BartGauquie 2/5/2010 21:13'!
amount: anObject
	amount := anObject! !

!JQGridExampleInvoice methodsFor: 'accessing' stamp: 'BartGauquie 2/5/2010 21:13'!
date
	^ date! !

!JQGridExampleInvoice methodsFor: 'accessing' stamp: 'BartGauquie 2/5/2010 21:13'!
date: anObject
	date := anObject! !

!JQGridExampleInvoice methodsFor: 'accessing' stamp: 'BartGauquie 2/5/2010 21:13'!
id
	^ id! !

!JQGridExampleInvoice methodsFor: 'accessing' stamp: 'BartGauquie 2/5/2010 21:13'!
id: anObject
	id := anObject! !

!JQGridExampleInvoice methodsFor: 'accessing' stamp: 'BartGauquie 2/5/2010 21:14'!
invoiceName
	^ invoiceName! !

!JQGridExampleInvoice methodsFor: 'accessing' stamp: 'BartGauquie 2/5/2010 21:14'!
invoiceName: anObject
	invoiceName := anObject! !

!JQGridExampleInvoice methodsFor: 'accessing' stamp: 'BartGauquie 2/5/2010 21:13'!
note
	^ note! !

!JQGridExampleInvoice methodsFor: 'accessing' stamp: 'BartGauquie 2/5/2010 21:13'!
note: anObject
	note := anObject! !

!JQGridExampleInvoice methodsFor: 'accessing' stamp: 'BartGauquie 2/5/2010 21:13'!
tax
	^ tax! !

!JQGridExampleInvoice methodsFor: 'accessing' stamp: 'BartGauquie 2/5/2010 21:13'!
tax: anObject
	tax := anObject! !

!JQGridExampleInvoice methodsFor: 'accessing' stamp: 'BartGauquie 2/5/2010 21:13'!
total
	^ total! !

!JQGridExampleInvoice methodsFor: 'accessing' stamp: 'BartGauquie 2/5/2010 21:13'!
total: anObject
	total := anObject! !

Object subclass: #JQGridMockObject
	instanceVariableNames: 'aSelector1 aSelector2 aSelector3'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQWidgetBox-JQGrid-Dev-Tests'!

!JQGridMockObject methodsFor: 'accessing' stamp: 'BartGauquie 2/5/2010 21:33'!
aSelector1
	^ aSelector1! !

!JQGridMockObject methodsFor: 'accessing' stamp: 'BartGauquie 2/5/2010 21:33'!
aSelector1: anObject
	aSelector1 := anObject! !

!JQGridMockObject methodsFor: 'accessing' stamp: 'BartGauquie 2/5/2010 21:33'!
aSelector2
	^ aSelector2! !

!JQGridMockObject methodsFor: 'accessing' stamp: 'BartGauquie 2/5/2010 21:33'!
aSelector2: anObject
	aSelector2 := anObject! !

!JQGridMockObject methodsFor: 'accessing' stamp: 'BartGauquie 2/5/2010 21:33'!
aSelector3
	^ aSelector3! !

!JQGridMockObject methodsFor: 'accessing' stamp: 'BartGauquie 2/5/2010 21:33'!
aSelector3: anObject
	aSelector3 := anObject! !
